org.eclipse.graphiti.ui.internal.editor

## Class GefOnEmfCommand

- java.lang.Object
- - org.eclipse.gef.commands.Command
  - - org.eclipse.graphiti.ui.internal.editor.GefOnEmfCommand

    public class GefOnEmfCommand
    extends org.eclipse.gef.commands.Command

### Constructor Summary

Constructors
Constructor and Description
`GefOnEmfCommand(org.eclipse.emf.common.command.Command emfCommand)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canExecute()`
`boolean` `canUndo()`
`org.eclipse.gef.commands.Command` `chain(org.eclipse.gef.commands.Command command)`
`void` `dispose()`
`boolean` `equals(Object obj)`
`void` `execute()`
`org.eclipse.emf.common.command.Command` `getEmfCommand()`
`String` `getLabel()`
`int` `hashCode()`
`void` `redo()`
`void` `setLabel(String label)`
`void` `undo()`

### Methods inherited from class org.eclipse.gef.commands.Command

`canRedo, getDebugLabel, setDebugLabel`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GefOnEmfCommand

    public GefOnEmfCommand(org.eclipse.emf.common.command.Command emfCommand)

### Method Detail

#### canExecute

    public boolean canExecute()

Overrides:
  `canExecute` in class `org.eclipse.gef.commands.Command`

#### canUndo

    public boolean canUndo()

Overrides:
  `canUndo` in class `org.eclipse.gef.commands.Command`

#### chain

    public org.eclipse.gef.commands.Command chain(org.eclipse.gef.commands.Command command)

Overrides:
  `chain` in class `org.eclipse.gef.commands.Command`

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `org.eclipse.gef.commands.Command`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### execute

    public void execute()

Overrides:
  `execute` in class `org.eclipse.gef.commands.Command`

#### getLabel

    public String getLabel()

Overrides:
  `getLabel` in class `org.eclipse.gef.commands.Command`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### redo

    public void redo()

Overrides:
  `redo` in class `org.eclipse.gef.commands.Command`

#### setLabel

    public void setLabel(String label)

Overrides:
  `setLabel` in class `org.eclipse.gef.commands.Command`

#### undo

    public void undo()

Overrides:
  `undo` in class `org.eclipse.gef.commands.Command`

#### getEmfCommand

    public org.eclipse.emf.common.command.Command getEmfCommand()